import { ItemType, MenuItemType } from "antd/es/menu/interface";
import {
  UserOutlined,
  NotificationOutlined,
  PaperClipOutlined,
  FileSyncOutlined,
  DashboardOutlined,
} from "@ant-design/icons";

export const items: ItemType<MenuItemType>[] = [
  {
    key: "/",
    label: `首页看板`,
    icon: <DashboardOutlined />,
  },
  {
    key: "/user",
    label: `用户管理`,
    icon: <UserOutlined />,
    children: [{ key: "/user/list", label: `用户管理` }],
  },
  {
    key: "/city",
    label: `城市管理`,
    icon: <UserOutlined />,
    children: [
      {
        key: "/city/list",
        label: `城市管理`,
      },
      { key: "/city/hum", label: `人文管理` },
      { key: "/city/history", label: `历史底蕴` },
      { key: "/city/food", label: `地方美食` },
    ],
  },
  {
    key: "/charity",
    label: `公益管理`,
    icon: <UserOutlined />,
    children: [
      { key: "/charity/setting", label: `公益设置` },
      { key: "/charity/af", label: `求助申请` },
      { key: "/charity/artic", label: `公益文章` },
    ],
  },
  {
    key: "/sku",
    label: `商品管理`,
    icon: <NotificationOutlined />,
    children: [
      { key: "/sku/list", label: `商品列表` },
      { key: "/sku/cat", label: `商品分类` },
      { key: "/sku/spec", label: `商品规格` },
      { key: "/sku/brand", label: `商品品牌` },
      { key: "/sku/tag", label: `标签管理` },
    ],
  },
  {
    key: "/order",
    label: `订单管理`,
    icon: <NotificationOutlined />,
    children: [{ key: "/order/list", label: `订单列表` }],
  },
  {
    key: "/rbac",
    label: `权限管理`,
    icon: <PaperClipOutlined />,
    children: [
      { label: `角色管理`, key: "/rbac/role" },
      { label: `菜单管理`, key: "/rbac/menu" },
      { label: `部门管理`, key: "/rbac/dep" },
      { label: `机构管理`, key: "/rbac/org" },
      { label: `员工管理`, key: "/rbac/staff" },
    ],
  },
  {
    key: "/sys",
    label: `系统管理`,
    icon: <FileSyncOutlined />,
    children: [
      { label: `数据字典`, key: "/sys/keywod" },
      { label: `版本管理`, key: "/sys/version" },
      { label: `捐赠管理`, key: "/sys/don" },
      { label: `通告管理`, key: "/sys/notic" },
      { label: `App管理`, key: "/sys/app" },
    ],
  },
];
