import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { CityConfig } from "@/service/config";
import { ColumnsType } from "antd/lib/table";
import { Image } from "antd";

export const formConfig = [
  {
    type: FormType.input,
    label: "标题",
    name: "title",
    value: "",
    rules: [{ required: true, message: "城市名称不能为空!" }],
  },
  {
    type: FormType.input,
    label: "副标题",
    name: "sub_title",
    value: "",
    rules: [{ required: true, message: "城市编码不能为空" }],
  },
  {
    type: FormType.upload,
    label: "缩略图",
    name: "cover",
    value: [],
    maxCount: 1,
    rules: [{ required: true, message: "缩略图不能为空" }],
  },
  {
    type: FormType.select,
    label: "城市",
    name: "city_identity",
    value: "",
    key: "city_name",
    selectUrl: CityConfig.LIST,
    rules: [{ required: true, message: "城市不能为空" }],
  },
  {
    type: FormType.editor,
    label: "内容",
    name: "content",
    value: "",
    rules: [{ required: true, message: "内容不能为空" }],
  },
];

export const columns: ColumnsType<UserDataType> = [
  {
    title: "标题",
    dataIndex: "title",
    fixed: "left",
  },
  {
    title: "副标题",
    dataIndex: "sub_title",
  },
  {
    title: "首图",
    dataIndex: "cover",
    render: (text, record) => {
      return <Image width={50} src={text} />;
    },
  },
  {
    title: "城市",
    dataIndex: "city_identity",
  },
];
