import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { CityConfig } from "@/service/config";
import { ColumnsType } from "antd/lib/table";
export const formConfig = [
  {
    type: FormType.input,
    label: "商品分类名称",
    name: "name",
    value: "",
    rules: [{ required: true, message: "商品分类名称不能为空!" }],
  },
  {
    type: FormType.select,
    label: "城市",
    name: "city_identity",
    selectUrl: CityConfig.LIST,
    rules: [{ required: true, message: "内容不能为空" }],
    key: "city_name",
    value: "",
  },
  {
    type: FormType.input,
    label: "描述",
    rules: [{ required: true, message: "描述不能为空" }],
    name: "remark",
    value: "",
  },
  {
    type: FormType.inputNumber,
    label: "排序",
    name: "sort",
    value: "1",
  },
];

export const columns: ColumnsType<UserDataType> = [
  {
    title: "商品分类名称",
    dataIndex: "name",
    fixed: "left",
  },
  {
    title: "描述",
    dataIndex: "remark",
  },
  {
    title: "排序",
    dataIndex: "sort",
  },
];
