import { FormType } from "@/components/form/interface";
import { CityConfig, SkuCatConfig, TagConfig } from "@/service/config";
export const formConfig = [
  {
    type: FormType.input,
    label: "商品名称",
    name: "sku_name",
    value: "",
    rules: [{ required: true, message: "商品名称不能为空!" }],
  },
  {
    type: FormType.select,
    label: "标签",
    name: "tags_id",
    value: "",
    key: "tag_name",
    selectModel: "tags",
    selectUrl: TagConfig.LIST,
    rules: [{ required: true, message: "不能为空" }],
  },

  {
    type: FormType.select,
    label: "分类",
    name: "sku_cat_identity",
    value: "1",

    selectUrl: SkuCatConfig.LIST,
    rules: [{ required: true, message: "分类不能为空" }],
  },
  {
    type: FormType.upload,
    label: "缩略图",
    name: "sku_thumb",
    value: [],
    maxCount: 1,
    rules: [{ required: true, message: "缩略图不能为空" }],
  },
  {
    type: FormType.select,
    label: "城市",
    name: "city_identity",
    value: "",
    key: "city_name",
    selectUrl: CityConfig.LIST,
    rules: [{ required: true, message: "城市不能为空" }],
  },
  {
    type: FormType.upload,
    label: "附件图",
    name: "files",
    value: [],
    maxCount: 10,
    rules: [{ required: true, message: "附件图不能为空" }],
  },
  {
    type: FormType.editor,
    label: "商品介绍",
    name: "sku_desc",
    rules: [{ required: true, message: "商品介绍为空" }],
  },
];
