import { action, makeObservable, observable } from "mobx";
import BaseStore from "./baseStore";
import { UserDataType } from "@/model/userModel";
import { SkuConfig, SpecConfig } from "@/service/config";
import { base } from "@/service/base";
import { message } from "antd";

class SkuStore extends BaseStore<UserDataType> {
    skuSpec = []
    constructor() {
        super(SkuConfig)
        makeObservable(this, {
            skuSpec: observable,
            getSkuSpecCat: action,
        })
    }
    // 获取规格
    async getSkuSpecCat() {
        let data = await base.get(SpecConfig.LIST, { size: 30, offset: 1 })
        if (data.code !== 200) {
            message.error(data.msg)
            return false
        }
        this.skuSpec = data.data.record
    };
}
const skuStore = new SkuStore();
export default skuStore;